IBMFakeTrustSocketFactory.FakeX509TrustManager (Axis API)
Keywords: org.apache.axis.components.net.IBMFakeTrustSocketFactory.FakeX509TrustManager,IBMFakeTrustSocketFactory.FakeX509TrustManager class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.components.net
Class IBMFakeTrustSocketFactory.FakeX509TrustManager

    java.lang.Object
      |
      +--org.apache.axis.components.net.IBMFakeTrustSocketFactory.FakeX509TrustManager

Enclosing class:
  IBMFakeTrustSocketFactory

public static class IBMFakeTrustSocketFactory.FakeX509TrustManager
extends java.lang.Object

Class FakeX509TrustManager

Field Summary
`protected static org.apache.commons.logging.Log` | `log` Field log

Constructor Summary
`IBMFakeTrustSocketFactory.FakeX509TrustManager()`

Method Summary
`java.security.cert.X509Certificate[]` | `getAcceptedIssuers()` Method getAcceptedIssuers
`boolean` | `isClientTrusted(java.security.cert.X509Certificate[] chain)` Method isClientTrusted
`boolean` | `isServerTrusted(java.security.cert.X509Certificate[] chain)` Method isServerTrusted

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static org.apache.commons.logging.Log log

  Field log

Constructor Detail

### IBMFakeTrustSocketFactory.FakeX509TrustManager

    public IBMFakeTrustSocketFactory.FakeX509TrustManager()

Method Detail

### isClientTrusted

    public boolean isClientTrusted(java.security.cert.X509Certificate[] chain)

  Method isClientTrusted

  Parameters:
    `chain` -
  Returns:

### isServerTrusted

    public boolean isServerTrusted(java.security.cert.X509Certificate[] chain)

  Method isServerTrusted

  Parameters:
    `chain` -
  Returns:

### getAcceptedIssuers

    public java.security.cert.X509Certificate[] getAcceptedIssuers()

  Method getAcceptedIssuers

  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Apache Web Services Project. All Rights Reserved.